[BUGFIX] Ensure PHP 5.2 compatibility in php-openid 37/33737/4
authorMichael Stucki <michael.stucki@typo3.org>
Mon, 3 Nov 2014 08:37:37 +0000 (09:37 +0100)
committerHelmut Hummel <helmut.hummel@typo3.org>
Mon, 3 Nov 2014 13:00:43 +0000 (14:00 +0100)
commit79ba88207e0361c3b496913855c33cc55f633547
treedcde286c8088349b1a406c461ce7ac5a8c4a88d3
parentf56c52f135be009fc9290a1a7abfa5fe1a667bde
[BUGFIX] Ensure PHP 5.2 compatibility in php-openid

The backport #62357 introduced a regression with PHP 5.2,
which still is officially supported by TYPO3 CMS 4.5

Adapt the code to be PHP 5.2 compatible

Resolves: #62391
Releases: 4.5
Change-Id: I72895592e10d963f2777c4659cc1f0a10e69a1c1
Reviewed-on: http://review.typo3.org/33737
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
typo3/sysext/openid/lib/php-openid/Auth/OpenID/PredisStore.php
typo3/sysext/openid/lib/php-openid/php-openid-typo3.patch